%define libname %mklibname xmu 6
%define develname %mklibname xmu -d
%define staticname %mklibname xmu -s -d

Name: libxmu
Summary: Xmu Library
Version: 1.1.2
Release: %mkrel 3
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXmu-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxt-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.3.0
Obsoletes: 	%{name} < %version


%description
Xmu Library

#-----------------------------------------------------------

%package -n %{libname}
Summary: Xmu Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libname}
Xmu Library

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Requires: libx11-devel >= 1.0.0
Requires: libxt-devel >= 1.0.0
Requires: x11-proto-devel >= 1.0.0
Provides: libxmu-devel = %{version}-%{release}
Provides: libxmu6-devel = %{version}-%{release}
Obsoletes: %{mklibname xmu 6 -d}
Conflicts: libxorg-x11-devel < 7.0

%description -n %{develname}
Development files for %{name}

%pre -n %{develname}
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libXmuu.so
%{_libdir}/libXmu.so
%{_libdir}/pkgconfig/xmuu.pc
%{_libdir}/pkgconfig/xmu.pc
%{_includedir}/X11/Xmu/CloseHook.h
%{_includedir}/X11/Xmu/Xct.h
%{_includedir}/X11/Xmu/Xmu.h
%{_includedir}/X11/Xmu/WidgetNode.h
%{_includedir}/X11/Xmu/Atoms.h
%{_includedir}/X11/Xmu/Misc.h
%{_includedir}/X11/Xmu/Converters.h
%{_includedir}/X11/Xmu/StdCmap.h
%{_includedir}/X11/Xmu/ExtAgent.h
%{_includedir}/X11/Xmu/StdSel.h
%{_includedir}/X11/Xmu/WinUtil.h
%{_includedir}/X11/Xmu/DisplayQue.h
%{_includedir}/X11/Xmu/Initer.h
%{_includedir}/X11/Xmu/Lookup.h
%{_includedir}/X11/Xmu/SysUtil.h
%{_includedir}/X11/Xmu/Drawing.h
%{_includedir}/X11/Xmu/Error.h
%{_includedir}/X11/Xmu/EditresP.h
%{_includedir}/X11/Xmu/CvtCache.h
%{_includedir}/X11/Xmu/Editres.h
%{_includedir}/X11/Xmu/CurUtil.h
%{_includedir}/X11/Xmu/CharSet.h
%{_includedir}/X11/Xmu/WhitePoint.h


#-----------------------------------------------------------

%package -n %{staticname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}-%{release}
Provides: libxmu-static-devel = %{version}-%{release}
Provides: libxmu6-static-devel = %{version}-%{release}
Obsoletes: %{mklibname xmu 6 -s -d}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{staticname}
Static development files for %{name}

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/libXmu.a
%{_libdir}/libXmuu.a

#-----------------------------------------------------------

%prep
%setup -q -n libXmu-%{version}

%build
autoreconf -ifs
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--with-xmlto=no \
		--with-xsltproc=no
		
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot%{_libdir}/*.la
rm -rf %buildroot%{_datadir}/doc

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libXmu.so.6
%{_libdir}/libXmu.so.6.2.0
%{_libdir}/libXmuu.so.1
%{_libdir}/libXmuu.so.1.0.0


%changelog
* Sat Dec 03 2016 adrianomorselli <adrianomorselli> 1.1.2-3uplos2016
- rebuild

* Wed Jul 20 2016 bb <bb> 1.1.2-3pclos2016
- rebuild

* Fri Jul 08 2016 bb <bb> 1.1.2-2pclos2016
- rebuild for 2016

* Fri Sep 13 2013 billybot <billybot> 1.1.2-1pclos2013
- update

* Fri May 24 2013 Texstar <texstar at gmail.com> 1.1.1-1pclos2013
- 1.1.1

* Sat May 14 2011 Texstar <texstar at gmail.com> 1.1.0-1pclos2011
- update for new xorg server

